Bug 11427 - initramfs in full.cz should contain terminfo entry for l/linux
: initramfs in full.cz should contain terminfo entry for l/linux
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt-profiles-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 11405
  Show dependency tree
 
Reported: 2007-04-09 16:02 by
Modified: 2007-04-22 01:27 (History)


Attachments
патч для x86 (295 bytes, patch)
2007-04-09 16:04, Sergey Bolshakov
no flags Details | Diff
order matters (382 bytes, patch)
2007-04-11 14:49, Sergey Bolshakov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-09 16:02:24
файл initfs в профиле не содержит описания терминала linux,
из-за чего псевдографика искажается. предлагается добавить
------- Comment #1 From 2007-04-09 16:04:26 -------
Created an attachment (id=1895) [details]
патч для x86

поскольку в x86_64 база terminfo расположена в /lib64,
необходимо также изменить и код в spt
------- Comment #2 From 2007-04-09 19:57:29 -------
Thanks, applied in 0.2.2-alt1-2-gc872042.
------- Comment #3 From 2007-04-09 20:43:54 -------
поправка (судя по коммиту):
/lib/terminfo/l/linux нет на x86_64
/usr/share/terminfo/l/linux -- есть в обеих системах.
------- Comment #4 From 2007-04-09 21:09:07 -------
$ uname -m
x86_64
$ rpmquery --lastchange -f /lib/terminfo/l/linux
* Mon Apr 09 2007 Stanislav Ievlev <inger@altlinux> 5.6-alt2
- move lib64/terminfo to /lib/terminfo

Однако рамки не исправились.
------- Comment #5 From 2007-04-09 23:02:14 -------
в x86_64 или в i586 тоже ? в qemu i586 исправились
------- Comment #6 From 2007-04-11 14:49:07 -------
Created an attachment (id=1901) [details]
order matters

порядок имеет значение
------- Comment #7 From 2007-04-11 14:49:54 -------
с текущим initfs etc получается пустой
------- Comment #8 From 2007-04-15 03:24:49 -------
Was fixed in 0.3-alt1